

/*Clock body*/
.clock {
    position: relative;
    width: 210px;
    height: 210px;
    border-radius: 50%;
    background: var(--background-light);
    border: 25px solid var(--background-extra-dark);
    box-shadow: 0 4px 100px var(--background-extra-dark);
}
.clock {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.clock .dial {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 2px solid #444;
}

.clock .time-12 {
    position: absolute;
    top: -25px;
    left: 50%;
    transform: translateX(-50%);
    color: var(--White);
    font-size: 18px;
    font-weight: bold;
}
.clock .time-3 {
    position: absolute;
    top: 67,5px;
    right: -23px;
    transform: translateX(-50%);
    color: var(--White);
    font-size: 18px;
    font-weight: bold;
}
.clock .time-6 {
    position: absolute;
    top: 160px;
    left: 50%;
    transform: translateX(-50%);
    color: var(--White);
    font-size: 18px;
    font-weight: bold;
}
.clock .time-9 {
    position: absolute;
    top: 67,5px;
    left: -12px;
    transform: translateX(-50%);
    color: var(--White);
    font-size: 18px;
    font-weight: bold;
}

.clock .degree {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--White);
    font-size: 40px;
    font-weight: bold;
}


.clock .scale {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.clock .scale .mark {
    position: absolute;
    width: 2px;
    height: 10px;
    background: #666;
    top: 0;
    left: 50%;
    transform-origin: center 140px;
}

.clock .scale .mark.large {
    height: 15px;
    background: var(--White);
}

.clock .scale .label {
    position: absolute;
    top: 0;
    left: 50%;
    transform-origin: center 120px;
    transform: translateX(-50%);
    font-size: 12px;
    color: var(--White);
    text-align: center;
}


.clock .scale .mark {
    position: absolute;
    top: 0;
    left: 50%;
    width: 2px;
    height: 5px;
    background: #666;
    transform-origin: center 80px;
}

.clock .scale .mark.large {
    height: 10px;
    background: var(--White);
}


.clock .scale .mark:nth-child(1) { transform: rotate(0deg); }
.clock .scale .mark:nth-child(2) { transform: rotate(10deg); }
.clock .scale .mark:nth-child(3) { transform: rotate(20deg); }
.clock .scale .mark:nth-child(4) { transform: rotate(30deg); }
.clock .scale .mark:nth-child(5) { transform: rotate(40deg); }
.clock .scale .mark:nth-child(6) { transform: rotate(50deg); }
.clock .scale .mark:nth-child(7) { transform: rotate(60deg); }
.clock .scale .mark:nth-child(8) { transform: rotate(70deg); }
.clock .scale .mark:nth-child(9) { transform: rotate(80deg); }
.clock .scale .mark:nth-child(10) { transform: rotate(90deg); }
.clock .scale .mark:nth-child(11) { transform: rotate(100deg); }
.clock .scale .mark:nth-child(12) { transform: rotate(110deg); }
.clock .scale .mark:nth-child(13) { transform: rotate(120deg); }
.clock .scale .mark:nth-child(14) { transform: rotate(130deg); }
.clock .scale .mark:nth-child(15) { transform: rotate(140deg); }
.clock .scale .mark:nth-child(16) { transform: rotate(150deg); }
.clock .scale .mark:nth-child(17) { transform: rotate(160deg); }
.clock .scale .mark:nth-child(18) { transform: rotate(170deg); }
.clock .scale .mark:nth-child(19) { transform: rotate(180deg); }
.clock .scale .mark:nth-child(20) { transform: rotate(190deg); }
.clock .scale .mark:nth-child(21) { transform: rotate(200deg); }
.clock .scale .mark:nth-child(22) { transform: rotate(210deg); }
.clock .scale .mark:nth-child(23) { transform: rotate(220deg); }
.clock .scale .mark:nth-child(24) { transform: rotate(230deg); }
.clock .scale .mark:nth-child(25) { transform: rotate(240deg); }
.clock .scale .mark:nth-child(26) { transform: rotate(250deg); }
.clock .scale .mark:nth-child(27) { transform: rotate(260deg); }
.clock .scale .mark:nth-child(28) { transform: rotate(270deg); }
.clock .scale .mark:nth-child(29) { transform: rotate(280deg); }
.clock .scale .mark:nth-child(30) { transform: rotate(290deg); }
.clock .scale .mark:nth-child(31) { transform: rotate(300deg); }
.clock .scale .mark:nth-child(32) { transform: rotate(310deg); }
.clock .scale .mark:nth-child(33) { transform: rotate(320deg); }
.clock .scale .mark:nth-child(34) { transform: rotate(330deg); }
.clock .scale .mark:nth-child(35) { transform: rotate(340deg); }
.clock .scale .mark:nth-child(36) { transform: rotate(350deg); }
.clock .scale .mark:nth-child(37) { transform: rotate(360deg); }




/*Clock hands*/
.hour, .minute, .second {
    position: absolute;
    bottom: 50%;
    left: 49.5%;
    transform-origin: 50% 100%;
    transition-timing-function: steps(1);
}
.hour {
    width: 6px;
    height: 40px;
    background-color: #333;
    border-radius: 6px;
    transform: rotate(90deg);
}
.minute {
    width: 4px;
    height: 60px;
    background-color: #666;
    border-radius: 4px;
    transform: rotate(180deg);
}
.second {
    width: 2px;
    height: 70px;
    background-color: var(--Red);
    border-radius: 2px;
    transform: rotate(270deg);
}
.hour::after, .minute::after {
    content: '';
    position: absolute;
    top: -10px;
    left: 50%;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 15px solid var(--Red);
    transform: translateX(-50%);
} 
.center-dot {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 12px;
    height: 12px;
    background-color: var(--Black);
    border-radius: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}